import com.palamida.appsec.util.AppSecProxyUtil


println(args.length);
if (args.length != 1) {
    println("Usage: remap_csv_script <filename.csv>");
    System.exit(-1);
}

String fileName = args[0];

BufferedReader br = new BufferedReader(new FileReader(fileName));

String line;
println(br.readLine())
while ((line = br.readLine()) != null) {
    StringTokenizer st = new StringTokenizer(line, ',');
    if (st.countTokens() < 2)
        continue;
    String s1 = st.nextToken();
    String s2 = st.nextToken();
    long long1;
    try {
        long1 = Long.parseLong(s1);
    }
    catch (NumberFormatException ex) {
	System.out.println("Exception")
        continue;
    }
    long long2;
    try {
        long2 = Long.parseLong(s2);
    }
    catch (NumberFormatException ex) {
        continue;
    }
    System.out.println("Remapping from " + long1 + " to " + long2);
    try {
        AppSecProxyUtil.getCustomEntityRemapService().remapComponentVersion(long1, long2);
    }
    catch (Exception ex) {
        System.out.println("Remapping error: " + ex.getMessage());
    }
}